Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Allow setting TBB version in builder.conf #1

Merged
merged 4 commits into from Oct 9, 2017

Conversation

Projects
None yet
2 participants
@marmarek
Copy link

commented Oct 8, 2017

Just setting tbb_version or tbb_hardcoded_version variable isn't enough, because it isn't propagated through all the layers to postinst of tb-updater. But creating temporarily a configuration file works.
Use tbb_version there, because tbb_hardcoded_version is unconditionally overridden by /usr/share/tb-updater/tbb_hardcoded_version. But later is ignored if tbb_version is already set.

Fixes https://phabricator.whonix.org/T710

marmarek added some commits Jul 29, 2017

travis: disable build for Qubes 3.1
It isn't supported anymore.
Allow overriding TBB version from builder.conf
Introduce WHONIX_TBB_VERSION setting, which get written to
/etc/torbrowser.d/80_template_builder_override.conf

https://phabricator.whonix.org/T710
travis: set TBB version to 7.0.6
7.0.4 is no longer available to download.

@adrelanos adrelanos merged commit 4bfd0ab into Whonix:master Oct 9, 2017

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.